V5 fails to install new DB on OpenSUSE 11.1 with python 2.6

Bug #322964 reported by Ferdinand
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Odoo Server (MOVED TO GITHUB)
Won't Fix
Undecided
Unassigned

Bug Description

bzr revno 1678

create new db fails - with python 2.6 on x86_64
(doc/INSTALL requires 2.3 and above)

kdesvn@cc-gf2:/daten/downloads/bzr/openobject-server/bin> python ./openerp-server.py -r terp
[Fri Jan 30 2009 00:14:12] INFO:server:version - 5.0.0
[Fri Jan 30 2009 00:14:12] INFO:server:addons_path - /hd/sdb1/daten/downloads/bzr/openobject-server/bin/addons
[Fri Jan 30 2009 00:14:12] INFO:server:database hostname - localhost
[Fri Jan 30 2009 00:14:12] INFO:server:database port - 5432
[Fri Jan 30 2009 00:14:12] INFO:server:database user - terp
[Fri Jan 30 2009 00:14:12] INFO:objects:initialising distributed objects services
/hd/sdb1/daten/downloads/bzr/openobject-server/bin/addons/__init__.py:26: DeprecationWarning: the sets module is deprecated
  from sets import Set
/usr/lib64/python2.6/site-packages/reportlab/pdfbase/pdfutils.py:44: SyntaxWarning: assertion is always true, perhaps remove parentheses?
  assert(len(raw) == imgwidth * imgheight, "Wrong amount of data for image")
/usr/lib64/python2.6/site-packages/reportlab/pdfgen/canvas.py:17: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import md5
/usr/lib64/python2.6/site-packages/reportlab/pdfbase/pdfdoc.py:1899: SyntaxWarning: assertion is always true, perhaps remove parentheses?
  assert(len(raw) == self.width*self.height, "Wrong amount of data for image")
[Fri Jan 30 2009 00:14:14] INFO:web-services:starting XML-RPC services, port 8069
[Fri Jan 30 2009 00:14:14] INFO:web-services:starting NET-RPC service, port 8070
[Fri Jan 30 2009 00:14:14] INFO:web-services:the server is running, waiting for connections...
[Fri Jan 30 2009 00:14:44] INFO:dbpool:Connecting to template1
[Fri Jan 30 2009 00:14:44] INFO:dbpool:Closing all connections to template1
Closing connection <connection object at 0x7f68cf451530; dsn: 'user=terp dbname=template1', closed: 0>
Exception RuntimeError: 'maximum recursion depth exceeded while calling a Python object' in <type 'exceptions.AttributeError'> ignored
Exception RuntimeError: 'maximum recursion depth exceeded while calling a Python object' in <type 'exceptions.AttributeError'> ignored
[Fri Jan 30 2009 00:14:50] INFO:dbpool:Connecting to template1
[Fri Jan 30 2009 00:14:51] INFO:dbpool:Closing all connections to template1
Closing connection <connection object at 0x7f68cf451530; dsn: 'user=terp dbname=template1', closed: 0>
Exception RuntimeError: 'maximum recursion depth exceeded while calling a Python object' in <type 'exceptions.AttributeError'> ignored
Exception RuntimeError: 'maximum recursion depth exceeded while calling a Python object' in <type 'exceptions.AttributeError'> ignored
[Fri Jan 30 2009 00:14:53] INFO:dbpool:Connecting to template1
[Fri Jan 30 2009 00:14:54] INFO:web-services:DROP DB: test_20090129l
[Fri Jan 30 2009 00:14:54] INFO:dbpool:Closing all connections to template1
Closing connection <connection object at 0x7f68cf451530; dsn: 'user=terp dbname=template1', closed: 0>
Exception RuntimeError: 'maximum recursion depth exceeded while calling a Python object' in <type 'exceptions.AttributeError'> ignored
Exception RuntimeError: 'maximum recursion depth exceeded while calling a Python object' in <type 'exceptions.AttributeError'> ignored
[Fri Jan 30 2009 00:15:12] INFO:dbpool:Connecting to template1
[Fri Jan 30 2009 00:15:12] INFO:dbpool:Closing all connections to template1
Closing connection <connection object at 0x7f68cf451530; dsn: 'user=terp dbname=template1', closed: 0>
Exception RuntimeError: 'maximum recursion depth exceeded while calling a Python object' in <type 'exceptions.AttributeError'> ignored
Exception RuntimeError: 'maximum recursion depth exceeded while calling a Python object' in <type 'exceptions.AttributeError'> ignored
[Fri Jan 30 2009 00:15:12] INFO:dbpool:Connecting to template1
[Fri Jan 30 2009 00:15:15] INFO:dbpool:Closing all connections to template1
Closing connection <connection object at 0x7f68cf4516d0; dsn: 'user=terp dbname=template1', closed: 0>
[Fri Jan 30 2009 00:15:15] INFO:web-services:CREATE DATABASE: test_20090130l
[Fri Jan 30 2009 00:15:15] INFO:dbpool:Connecting to test_20090130l
Exception RuntimeError: 'maximum recursion depth exceeded while calling a Python object' in <type 'exceptions.AttributeError'> ignored
Exception RuntimeError: 'maximum recursion depth exceeded while calling a Python object' in <type 'exceptions.AttributeError'> ignored
Exception RuntimeError: 'maximum recursion depth exceeded in __subclasscheck__' in <type 'exceptions.AttributeError'> ignored
Exception RuntimeError: 'maximum recursion depth exceeded in __subclasscheck__' in <type 'exceptions.AttributeError'> ignored
[Fri Jan 30 2009 00:15:16] INFO:init:module base: registering objects
[Fri Jan 30 2009 00:15:16] INFO:init:module base: loading objects
[Fri Jan 30 2009 00:15:16] INFO:init:module base: creating or updating database tables
[Fri Jan 30 2009 00:15:17] INFO:orm:column 'type' in table 'ir_actions' changed size
[Fri Jan 30 2009 00:15:17] INFO:orm:column 'report_xsl' in table 'ir_act_report_xml' changed size
[Fri Jan 30 2009 00:15:17] INFO:orm:column 'report_xml' in table 'ir_act_report_xml' changed size
[Fri Jan 30 2009 00:15:17] INFO:orm:column 'domain' in table 'ir_act_window' changed size
[Fri Jan 30 2009 00:15:18] INFO:orm:column 'key2' in table 'ir_values' changed size
[Fri Jan 30 2009 00:15:20] INFO:orm:column 'name' in table 'res_groups' changed size
[Fri Jan 30 2009 00:15:20] INFO:orm:column 'name' in table 'res_roles' changed size
[Fri Jan 30 2009 00:15:20] ERROR:sql:bad query: SELECT "menu_id","address_id","context_tz","name","company_id","signature","active","context_lang","login","password","action_id",id FROM "res_users" WHERE id IN (1) ORDER BY id
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[01]: CREATE DATABASE
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[02]: Traceback (most recent call last):
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[03]: File "/hd/sdb1/daten/downloads/bzr/openobject-server/bin/service/web_services.py", line 90, in __call__
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[04]: update_module=True)[1]
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[05]: File "/hd/sdb1/daten/downloads/bzr/openobject-server/bin/pooler.py", line 61, in restart_pool
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[06]: return get_db_and_pool(db_name, force_demo, status, update_module=update_module)
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[07]: File "/hd/sdb1/daten/downloads/bzr/openobject-server/bin/pooler.py", line 40, in get_db_and_pool
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[08]: addons.load_modules(db, force_demo, status, update_module)
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[09]: File "/hd/sdb1/daten/downloads/bzr/openobject-server/bin/addons/__init__.py", line 663, in load_modules
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[10]: has_updates = load_module_graph(cr, graph, status, perform_checks=False, report=report)
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[11]: File "/hd/sdb1/daten/downloads/bzr/openobject-server/bin/addons/__init__.py", line 585, inload_module_graph
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[12]: init_module_objects(cr, m, modules)
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[13]: File "/hd/sdb1/daten/downloads/bzr/openobject-server/bin/addons/__init__.py", line 339, ininit_module_objects
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[14]: result = obj._auto_init(cr, {'module': module_name})
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[15]: File "/hd/sdb1/daten/downloads/bzr/openobject-server/bin/osv/orm.py", line 1531, in _auto_init
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[16]: default = self._defaults[k](self, cr, 1, {})
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[17]: File "/hd/sdb1/daten/downloads/bzr/openobject-server/bin/addons/base/res/res_user.py", line 135, in _get_company
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[18]: return self.pool.get('res.users').browse(cr, uid, uid, context).company_id.id
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[19]: File "/hd/sdb1/daten/downloads/bzr/openobject-server/bin/osv/orm.py", line 209, in __getattr__
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[20]: return self[name]
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[21]: File "/hd/sdb1/daten/downloads/bzr/openobject-server/bin/osv/orm.py", line 175, in __getitem__
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[22]: datas = self._table.read(self._cr, self._uid, ids, fffields, context=self._context, load="_classic_write")
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[23]: File "/hd/sdb1/daten/downloads/bzr/openobject-server/bin/addons/base/res/res_user.py", line 118, in read
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[24]: result = super(users, self).read(cr, uid, ids, fields, context, load)
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[25]: File "/hd/sdb1/daten/downloads/bzr/openobject-server/bin/osv/orm.py", line 1876, in read
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[26]: result = self._read_flat(cr, user, select, fields, context, load)
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[27]: File "/hd/sdb1/daten/downloads/bzr/openobject-server/bin/osv/orm.py", line 1930, in _read_flat
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[28]: self._order))
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[29]: File "/hd/sdb1/daten/downloads/bzr/openobject-server/bin/sql_db.py", line 76, in wrapper
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[30]: return f(self, *args, **kwargs)
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[31]: File "/hd/sdb1/daten/downloads/bzr/openobject-server/bin/sql_db.py", line 117, in execute
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[32]: res = self._obj.execute(query, params)
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[33]: ProgrammingError: column "context_lang" does not exist
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[34]: LINE 1: ...text_tz","name","company_id","signature","active","context_l...
[Fri Jan 30 2009 00:15:20] ERROR:web-services:[35]: ^
Exception RuntimeError: 'maximum recursion depth exceeded in __subclasscheck__' in <type 'exceptions.AttributeError'> ignored
Exception RuntimeError: 'maximum recursion depth exceeded in __subclasscheck__' in <type 'exceptions.AttributeError'> ignored
/hd/sdb1/daten/downloads/bzr/openobject-server/bin/tools/misc.py:683: DeprecationWarning: BaseException.message has been deprecated as of Python2.6
  if hasattr(e, 'message'):
/hd/sdb1/daten/downloads/bzr/openobject-server/bin/tools/misc.py:684: DeprecationWarning: BaseException.message has been deprecated as of Python2.6
  return ustr(e.message)

Revision history for this message
Christophe Simonis (OpenERP) (kangol) wrote :

python 2.6 is not supported.

Changed in openobject-server:
status: New → Won't Fix
Revision history for this message
Dukai Gábor (gdukai) wrote :

The same problem on Ubuntu 9.04 that has python 2.6 as default. Most of the python 2.5 libraries are missing. OpenERP cannot be run on Ubuntu 9.04 at this moment.

Revision history for this message
Christophe CHAUVET (christophe-chauvet) wrote :

I confirm, that doesn't work with Ubuntu 9.04

Revision history for this message
Joel Aufrecht (joel-aufrecht) wrote :

I just upgraded to Ubuntu 9.04 (Jaunty RC1) because OpenERP 5.0.0 is only in jaunty. There seems to be a catch-22: only jaunty has openerp 5.0.0, but jaunty has only python 2.6 and openerp does not work with python 2.6. What is the best way out of this trap? I can think of a few options:
 - downgrade or reinstall the server to ubuntu 8.10 with python 2.5, and install from tarball
 - find all of the necessary python 2.5 packages and install them in jaunty
 - get openerp 5.0.0 to support python 2.6

Any guidance from the OpenERP team?

Revision history for this message
Dukai Gábor (gdukai) wrote :
Revision history for this message
mchevallier (marc-chevallier) wrote :

I found the same workaround (http://opensourceconsulting.wordpress.com/2009/06/17/installation-of-openerp-server-5-0-openerp-gtk-client-5-0-and-openerp-web-client-5-0-1-on-ubuntu-server-9-0-4/#comment-27), but described in order to enable beginners like me to understand really what is to do :)

Works well !

EXTRACT:

Troubles with Python releases: Python 2.6 is not yet supported by OpenERP 5.0, but it is the default Python release on Ubuntu 9.0.4. We need to launch OpenERP 5.0 with Python 2.5 or earlier. There’s also a problem with python-xml package in Ubuntu so we will reinstall it.

Python 2.5 setting up:

    $ sudo apt-get install python2.5 python2.5-dev python-profiler

Reinstall python-xml:

    $ wget http://freefr.dl.sourceforge.net/sourceforge/pyxml/PyXML-0.8.4.tar.gz

    $ tar xvzf PyXML-0.8.4.tar.gz

    $ cd PyXML-0.8.4/

    $ sudo python2.5 setup.py install

Make the following symbolic link:

    $ sudo ln -s /usr/lib/python2.6/dist-packages/oldxml/_xmlplus/utils/boolean.so /usr/lib/python2.5/site-packages/oldxml/_xmlplus/utils/

Force openerp-server to be launched with Python2.5:

    $ cd /usr/bin/

    $ sudo cp openerp-server openerp-server.ORIG

    $ sudo vi openerp-server

Replace the following line:

    exec /usr/bin/python ./openerp-server.py $@

with

    exec /usr/bin/python2.5 ./openerp-server.py $@

We can now restart openerp-server:

    $ sudo /etc/init.d/openerp-server restart

    Restarting openerp-server: openerp-server.

Check out the logs:

    $ sudo cat /var/log/openerp.log

    [2009-06-14 21:06:39,314] INFO:server:version – 5.0.0

    [2009-06-14 21:06:39,314] INFO:server:addons_path – /usr/lib/openerp-server/addons

    [2009-06-14 21:06:39,314] INFO:server:database hostname – localhost

    [2009-06-14 21:06:39,315] INFO:server:database port – 5432

    [2009-06-14 21:06:39,315] INFO:server:database user – openerp

    [2009-06-14 21:06:39,315] INFO:objects:initialising distributed objects services

    [2009-06-14 21:06:39,502] INFO:web-services:starting XML-RPC services, port 8069

    [2009-06-14 21:06:39,502] INFO:web-services:starting NET-RPC service, port 8070

    [2009-06-14 21:06:39,502] INFO:web-services:the server is running, waiting for connections…

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Related blueprints